Saltar al contenido principal
PATCH
/
v1
/
transactions
/
{transaction_id}
Actualizar una transacción
curl --request PATCH \
  --url https://api.unisaldos.com/v1/transactions/{transaction_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "conciliated": true,
  "category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "comment": "<string>",
  "internal": true,
  "attached_file_ids_to_remove": []
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "amount": 123,
  "type": "income",
  "state": "pending",
  "conciliated": true,
  "transaction_date": "2023-11-07T05:31:56Z",
  "reference_number": "<string>",
  "internal": true,
  "created_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "counterparty_account_number": "<string>",
  "counterparty_bank": "<string>",
  "comment": "<string>",
  "category": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "icon": "<string>",
    "category_color": "<string>"
  },
  "attached_files_count": 0
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de ruta

transaction_id
string
requerido

Cuerpo

application/json
conciliated
boolean | null
category_id
string<uuid> | null
comment
string | null
internal
boolean | null
attached_file_ids_to_remove
string<uuid>[]

Respuesta

Successful Response

id
string<uuid>
requerido
amount
number
requerido
type
enum<string>
requerido
Opciones disponibles:
income,
out
state
enum<string>
requerido
Opciones disponibles:
pending,
completed
conciliated
boolean
requerido
transaction_date
string<date-time>
requerido
reference_number
string
requerido
internal
boolean
requerido
created_at
string<date-time>
requerido
description
string | null
counterparty_account_number
string | null
counterparty_bank
string | null
comment
string | null
category
TransactionListCategoryResponseSchema · object
attached_files_count
integer
predeterminado:0